:gn
    set option=
    echo - 1.黑阈
    echo - 2.小黑屋
    echo - 3.Shizuku
    echo - 4.冰箱
    echo - 5.安装狮 - 静默安装-DPM模式
    echo - 6.安装狮-DPM
    echo - 7.太极阴阳之门
    echo - 8.使用快否激活器激活「快否」
    echo - 9.AutoHz
    echo - 10.权限狗 AppOps
    echo - 11.AirFrozen「空调狗」
    echo - 12.流体手势
    echo - 13.激活一加隐藏的屏幕刷新率选项
    echo - 14.启用三星设备小白条沉浸
    echo - 15.禁用三星设备小白条沉浸
    echo - 16.开启Freeform「多窗口模式」
    echo - 17.关闭Freeform「多窗口模式」
    echo.
    echo.
    set /p option=%t2%
    busybox egrep "^:meum%option%$" "%~f0" && goto meum%option% || ( cls & echo. & %error% 输入错误请重新输入 & goto gn )


:meum
    cls & goto gn

:meum1
    echo - 正在激活黑阈
    adb shell sh /data/data/me.piebridge.brevent/brevent.sh
    abort


:meum2
    echo - 正在激活小黑屋
    adb shell sh /sdcard/Android/data/web1n.stopapp/files/demon.sh
    abort


:meum3
    echo - 正在激活Shizuku
    adb shell sh /sdcard/Android/data/moe.shizuku.privileged.api/files/start.sh || adb shell sh /storage/emulated/0/Android/data/moe.shizuku.privileged.api/start.sh
    abort


:meum4
    echo - 正在激活冰箱
    adb shell sh /sdcard/Android/data/com.catchingnow.icebox/files/start.sh
    abort


:meum5
    echo - 正在激活安装狮 - 静默安装-DPM模式
    adb shell dpm set-device-owner com.modosa.apkinstaller/.receiver.AdminReceiver
    abort


:meum6
    echo - 正在激活安装狮-DPM
    adb shell dpm set-device-owner com.modosa.dpmapkinstaller/.receiver.AdminReceiver
    abort


:meum7
    echo - 正在激活太极阴阳之门
    adb shell dpm set-device-owner me.weishu.exp/.DeviceAdmin
    abort


:meum8
    echo - 正在使用快否激活器激活「快否」
    adb shell sh /storage/emulated/0/Android/data/cn.endureblaze.activatebenchaf/files/Run.sh
    abort


:meum9
    echo - 正在激活「AutoHz」
    adb shell pm grant com.arter97.auto90 android.permission.WRITE_SECURE_SETTINGS
    abort


:meum10
    echo - 正在激活权限狗 AppOps
    adb shell sh /storage/emulated/0/Android/data/com.web1n.permissiondog/files/starter.sh
    abort


:meum11
    echo - 正在激活AirFrozen（空调狗）
    adb shell dpm set-device-owner me.yourbay.airfrozen/me.yourbay.airfrozen.main.core.mgmt.MDeviceAdminReceiver
    abort


:meum12
    echo - 正在激活流体手势导航的3键式导航栏
    adb shell pm grant com.fb.fluid android.permission.WRITE_SECURE_SETTINGS
    abort


:meum13
    adb shell settings put global oneplus_screen_refresh_rate 0
    echo - 已激活一加隐藏的屏幕刷新率选项
    echo - 请前往，设置-->显示-->屏幕刷新率重新设置即可
    abort


:meum14
    adb shell cmd overlay enable com.samsung.internal.systemui.navbar.gestural_no_hint
    echo - 已启用三星设备小白条沉浸
    abort


:meum15
    adb shell cmd overlay disable com.samsung.internal.systemui.navbar.gestural_no_hint
    echo - 已禁用三星设备小白条沉浸
    abort


:meum16
    echo - 正在开启Freeform（多窗口模式）
    adb shell settings put global enable_freeform_support 1
    abort


:meum17
    echo - 正在关闭Freeform（多窗口模式）
    adb shell settings put global enable_freeform_support 0
    abort
